<?php
$rootPath = "";
$counter = 0;
$file = "factory.php"; // this file is unique in root
while ($counter <= 10) {
    if (is_file($rootPath . $file)) break;
    $counter++;
    $rootPath .= "../";
}
require_once($rootPath . "factory.php");

global $langID;
$Lsufix = ((int)$langID > 1) ? "_translated" : NULL;
$token1 = "38629649";
$token2 = "73972658";
list($stage1, $token2b) = explode($token2, $_REQUEST['u']);
list($token1b, $userID) = explode($token1, $stage1);
if (empty($userID)) die("Access denied");

// lets check if the section's record belongs to this user
$section = $system->getTableSectionName($sectionID);
$uid = $db->getRecord("select userID from $section where id='$linkID'")->userID;
if ($uid <> $userID) die("Access denied");

$parameters->importParameters();
$isMultilingualSite = $language->isMultilingualSite();

?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link href="<?php echo $rootPath; ?>admin/css/admin.css" rel="stylesheet">
    <link href="<?php echo $rootPath; ?>admin/css/sort.css" rel="stylesheet">
    <link href="css/odyssey_users.css" rel="stylesheet">
    <link href="<?php echo $rootPath; ?>admin/css/ui/jquery-ui-odyssey.css" rel="stylesheet">
    <script src="<?php echo $rootPath; ?>js/jquery.js"></script>
    <script src="<?php echo $rootPath; ?>admin/js/admin.js"></script>
    <script src="<?php echo $rootPath; ?>admin/js/jquery-ui-All.min.js"></script>
    <script src="<?php echo $rootPath; ?>admin/js/jquery.ajaxform.js"></script>
    <script>
        $(document).ready(function () {
            $("#sort-list-images").sortable({
                handle: '.handle',
                update: function () {
                    var order = $('#sort-list-images').sortable('serialize');
                    $("#sortInfo").load("<?php echo $rootPath;?>admin/sort.php?frontend=1&" + order + "&table=images", function(response){console.log(response);});
                }
            });
            $("#sort-list-files").sortable({
                handle: '.handle',
                update: function () {
                    var order = $('#sort-list-files').sortable('serialize');
                    $("#sortInfo").load("<?php echo $rootPath;?>admin/sort.php?frontend=1&" + order + "&table=files", function(response){console.log(response);});
                }
            });
        });

        function setDragStyle(elm, typeOfEvent) {
            if (typeOfEvent == "startDrag") {
                hideRecords();
                elm.parentNode.style.border = "dashed 3px #7b8168";
                elm.parentNode.style.background = "#ededed";
            } else {
                elm.parentNode.style.border = "dashed 3px transparent";
                elm.parentNode.style.borderBottom = "dashed 3px silver";
            }
        }

        function showFields(id) {
            hideRecords();
            $('#button_' + id).hide();
            $('#record_' + id).show('fast');
        }

        function hideRecords() {
            $('.attachment_record').each(function () {
                $(this).hide();
            });
            $('.attachment_button').each(function () {
                $(this).show('fast');
            });
        }

        function saveForm(id) {
            $('#submit_' + id).attr('value', '<?php echo t("Αποστολή δεδομένων");?>');
            $("#form_" + id).ajaxSubmit({
                url: '<?php echo $rootPath;?>admin/ajax_attachments.php?frontend=1',
                type: 'post',
                success: showResponse
            });
        }

        function showResponse(responseText, statusText, xhr, $form) {
            if (statusText != "success") {
                alert("<?php echo t("Υπήρξε κάποιο πρόβλημα κατά την αποθήκευση των δεδομένων");?>");
            } else {
                var data = responseText.split("~~|~~");
                var id = data[0];
                var title = data[1];
                if (parseInt(id) > 0) {
                    $('#submit_' + id).attr('value', '<?php echo t("Αποθηκεύθηκε");?>');
                    if (title) $('#caption_' + id).html(title);
                    setTimeout(function () {
                        $('#submit_' + id).attr('value', '<?php echo t("Αποθήκευση");?>');
                        hideRecords();
                    }, 2000);
                } else {
                    alert("<?php echo t("Σφάλμα");?>: " + responseText);
                }
            }
        }

        function showHide(elm) {
            default_obj = document.getElementById('default');
            slider_obj = document.getElementById('slider');
            logo_obj = document.getElementById('logo');
            if (elm.id == "logo") {
                if (elm.checked) {
                    default_obj.checked = false;
                    default_obj.disabled = true;
                    slider_obj.checked = false;
                    slider_obj.disabled = true;
                } else {
                    default_obj.disabled = false;
                    slider_obj.disabled = false;
                }
            }
            if (elm.id == "slider") {
                if (elm.checked) {
                    default_obj.checked = false;
                    default_obj.disabled = true;
                    logo_obj.checked = false;
                    logo_obj.disabled = true;
                } else {
                    default_obj.disabled = false;
                    logo_obj.disabled = false;
                }
            }
        }

    </script>


    <style>
        <!--
        body {
            margin: 0;
            overflow: auto;
            max-width: 800px;
            background: #ededed;
            font-family: Verdana, sans-serif, Arial;
            font-size: 11px;
        }

        -->

        .normal_wrapper,
        .flaged_wrapper {
            position: relative;
        }

        .flag_border {
            position: absolute;
            width: 34px;
            height: 22px;
            top: 3px;
            left: 3px;
            background-image: url(images/flag_container.png);
        }

        .flaged {
            padding-left: 40px !important;
            width: 80% !important;
        }

        .pseudo_flag {
            margin-bottom: -30px;
            position: relative;
            width: 34px;
            width: 0px !important;
            height: 22px;
            background: transparent;
            border-color: transparent;
        }

        <?php
        $langs = $db->getRecords("select extension from languages where active=1");
        $foundGreek = false;
        $foundEnglish = false;
        foreach($langs as $thisLanguage){
            $sufix = $thisLanguage->extension;
            $foundGreek = $sufix == "_gr";
            $foundEnglish = $sufix == "_en";
            ?>
        .flag<?php echo $sufix;?> {
            background-image: url(<?php echo $rootPath;?>mediabank/flags/flag<?php echo $sufix;?>.png);
            background-position: 4px 4px;
            background-repeat: no-repeat;
        }

        <?php
    }
    if(!$foundGreek){
    ?>
        .flag_gr {
            background-image: url(<?php echo $rootPath;?>mediabank/flags/flag_gr.png);
            background-position: 4px 4px;
            background-repeat: no-repeat;
        }

        <?php
        }
        if(!$foundEnglish){
        ?>
        .flag_en {
            background-image: url(<?php echo $rootPath;?>mediabank/flags/flag_en.png);
            background-position: 4px 4px;
            background-repeat: no-repeat;
        }

        <?php
        }
        ?>

    </style>

</head>
<body>
<div id="sortInfo"></div>

<?php
$header = t("ΜΕΤΟΝΟΜΑΣΙΑ ή ΤΑΞΙΝΟΜΗΣΗ ΕΠΙΣΥΝΑΠΤΟΜΕΝΩΝ ΕΙΚΟΝΩΝ & ΑΡΧΕΙΩΝ");
?>
<div class="section_title"><?php echo $header; ?></div>
<?php
$query_images = "SELECT distinct `bankID`, `id`, `default`, `slider`, `logo`, `language_id` FROM `images` WHERE `linkID`=" . $linkID . " AND `sectionID`=" . $sectionID . " order by sort";
$query_files = "SELECT distinct `bankID`, `id`, `language_id` FROM `files` WHERE `linkID`=" . $linkID . " AND `sectionID`=" . $sectionID . " order by sort";
$results_images = $db->query($query_images);
$results_files = $db->query($query_files);
$records_images = $db->getRows($results_images);
$records_files = $db->getRows($results_files);
if (!count($records_images) && !count($records_files)) {
    ?>
    <script>
        parent.$('#attachments_instructions').css('display', 'none');
    </script>
    <div style="height:50px">&nbsp;</div>
    <?php
    $messages->addMessage(t("Δεν έχετε επισυνάψει ακόμα, κανένα αρχείο σε αυτή την εγγραφή") . "!");
    $messages->printSystemMessages();
}
$w = 700;
?>

<div id="attachments_results" style="display:block; padding:0px; max-width:100%;">
    <div style="text-align:right; margin: 5px 0;">
        <input type="button" class="btn btn-warning" value="<?php echo t("Επιστροφή"); ?>" onclick="parent.$.fancybox.close()">
    </div>
    <div style="font-size: 10px; text-align:right;"><?php echo t("Για νέα ταξινόμηση σύρτε τα εικονίδια στην επιθυμητή θέση"); ?></div>


    <ul id="sort-list-images" style="list-style-type:none">
        <?php
        foreach ($records_images as $row) {
            $ext = $fileSystem->getExtensionByFileTypeID($fileSystem->getFileTypeID($row->bankID));
            ?>
            <li id="listItem_<?php echo $row->id; ?>">
                <div class="handle" onmousedown="setDragStyle(this, 'startDrag');" onmouseup="setDragStyle(this, 'stopDrag');">
                    <img src="images/arrow.png" alt="move" width="24" height="24" align="absmiddle">
				<span class="sort_title" onselectstart="return false;" onmousedown="return false;">
					<div class="delete_attachment_container">
                        <?php
                        $title = $fileSystem->getFileTitle("images", $row->id, $linkID, $row->bankID);
                        $temp = $db->query("select * from images where id='$row->id'");
                        $temprow = $db->getRow($temp);
                        $attachment_type = NULL;
                        if ($temprow->default == "1") $attachment_type = "<span class='image_default' style='display:inline; margin-top:0'>Default</span>";
                        if ($temprow->logo == "1") $attachment_type = "<span class='image_logo' style='display:inline; margin-top:0'>Logo</span>";
                        if ($temprow->slider == "1") $attachment_type = "<span class='image_slider' style='display:inline; margin-top:0'>Slider</span>";
                        ?>
                        <img src="<?php echo $rootPath; ?>mediabank/thumbs/small_<?php echo $row->bankID . '.' . $ext; ?>?r=<?php echo @time(); ?>" border="0">
                        <?php
                        echo $attachment_type;
                        ?>
                    </div>
				</span>
                </div>
                <a id="button_<?php echo $row->id; ?>"
                   class="btn btn-info attachment_button"
                   href="javascript:void(0)"
                   onclick="showFields('<?php echo $row->id; ?>');">
                    <?php echo t("Εμφάνιση στοιχείων προς επεξεργασία"); ?>
                    <br> <span style="font-size:.85em; color:lightgrey">«<?php echo $title; ?>»</span>
                </a>
                <form id="form_<?php echo $row->id; ?>" class="admin_form form_centered" style="min-width:260px">
                    <div id="record_<?php echo $row->id; ?>" class="normal attachment_record" style="float:left;margin:20px 0; display:none;">
                        <?php
                        $Lresult = $db->query("SELECT * FROM languages WHERE active=1 ");
                        $LRecords = $db->getRows($Lresult);
                        $fileID = $row->id;
                        foreach ($LRecords as $Lrow) {
                            $languageID = $Lrow->id;
                            $title = $db->getRecord("select title from content_images where imgID='$fileID' and langID='$languageID'")->title;
                            $extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
                            ?>
                            <div class="admin_form_element">
                                <div class="admin_label admin_flag"> <?php echo t("Τίτλος"); ?> :</div>
                                <div class="flaged_wrapper">
                                    <div class="flag_border"></div>
                                    <input name="title<?php echo $extension; ?>" id="title<?php echo $extension; ?>" type="text" class="listbox flaged flag<?php echo $extension; ?>" placeholder="<?php if ($Lrow->extension && $isMultilingualSite) {
                                        echo(' ' . t('στα') . ' ' . $Lrow->title);
                                    } ?>" value="<?php echo $title; ?>">
                                </div>
                            </div>
                            <?php
                        }
                        foreach ($LRecords as $Lrow) {
                            $languageID = $Lrow->id;
                            $description = $db->getRecord("select description from content_images where imgID='$fileID' and langID='$languageID'")->description;
                            $extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
                            $placeholder = ($isMultilingualSite) ? t('στα') . ' ' . $Lrow->title : NULL;
                            ?>
                            <div class="admin_form_element">
                                <div class="admin_label<?php echo $flag_class; ?>"> <?php echo t("Περιγραφή"); ?> <span class="definition">(<?php echo t("θα εμφανίζεται ώς λεζάντα") . " " . $placeholder; ?>)</span>:</div>
                                <div class="flaged_wrapper">
                                    <div class="flag_border"></div>
                            <textarea name="description<?php echo $extension; ?>" id="description<?php echo $extension; ?>" rows="3" class="listbox flaged flag<?php echo $extension; ?>"><?php echo $description; ?>
</textarea>
                                </div>
                            </div>
                            <?php
                        }
                        $default_attr = ($row->default == "1") ? "checked" : NULL;
                        $default_attr = ($row->slider == "1" || $row->logo == "1") ? "disabled" : $default_attr;
                        $slider_attr = ($row->slider == "1") ? "checked" : NULL;
                        $slider_attr = ($row->logo == "1") ? "disabled" : $slider_attr;
                        $logo_attr = ($row->logo == "1") ? "checked" : NULL;
                        $logo_attr = ($row->slider == "1") ? "disabled" : $logo_attr;
                        ?>
                        <div class="admin_form_element">
                            <div class="admin_checkbox_wrapper">
                                <input name="default" type="checkbox" id="default" value="1" <?php echo $default_attr; ?>>
                                <p><?php echo t("να θεωρείται η εξ ορισμού κύρια εικόνα"); ?></p>
                            </div>
                        </div>
                        <div class="admin_form_element">
                            <div class="admin_checkbox_wrapper">
                                <input name="slider" type="checkbox" id="slider" value="1" <?php echo $slider_attr; ?> onClick="showHide(this)">
                                <p><?php echo t("να χρησιμοποιηθεί μόνο σε slider"); ?></p>
                            </div>
                        </div>
                        <div class="admin_form_element">
                            <div class="admin_checkbox_wrapper">
                                <input name="logo" type="checkbox" id="logo" value="1" <?php echo $logo_attr; ?> onClick="showHide(this)">
                                <p><?php echo t("να χρησιμοποιηθεί ως logo (λογότυπο)"); ?></p>
                            </div>
                        </div>
                        <div class="admin_form_element">
                            <div class="admin_label<?php echo $flag_class; ?>">
                                <?php echo t("Εμφάνιση σε"); ?> : <select name="language_id" class="listbox attachment_languages">
                                    <?php
                                    $selected_language = ($row->language_id == '0') ? " selected" : "";
                                    ?>
                                    <option value="0"<?php echo $selected_language; ?>><?php echo t("όλες τις γλώσσες"); ?></option>
                                    <?php
                                    $q = "select * from `languages` where active='1' ";
                                    $languages = $db->getRecords($q);
                                    foreach ($languages as $lang_row) {
                                        $langTitle = ($langID == 1) ? $lang_row->title : $lang_row->title_translated;
                                        $selected_language = ($row->language_id == $lang_row->id) ? " selected " : "";
                                        ?>
                                        <option value="<?php echo $lang_row->id; ?>"<?php echo $selected_language; ?>><?php echo $langTitle; ?></option>
                                        <?php
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>
                        <input name="writedata" type="hidden" id="writedata" value="1">
                        <input name="attachment_section" type="hidden" value="images">
                        <input name="linkID" type="hidden" id="linkID" value="<?php echo $linkID; ?>">
                        <input name="fileID" type="hidden" id="fileID" value="<?php echo $row->id; ?>">
                        <input name="sectionID" type="hidden" id="sectionID" value="<?php echo $sectionID; ?>">
                        <div style="margin:15px"><input id="submit_<?php echo $row->id; ?>" type="button" class="btn btn-success" value="<?php echo t("Αποθήκευση"); ?>" onclick="saveForm('<?php echo $row->id; ?>');"></div>
                    </div>
                </form>
                <div style="clear:both;"></div>
            </li>


            <?php
        }
        ?>
    </ul>
</div>


<?php
if (count($records_files)) {
    $text = t("Άλλοι τύποι αρχείων");
    echo '<div class="section_subtitle"><img src="../makeHeader.php?text=' . urlencode($text) . '&amp;fontSize=15&amp;fcolor=ffffff&amp;bgcolor=b3b3b3" alt="' . $text . '" ></div>';
}
?>
<ul id="sort-list-files" style="list-style-type:none">
    <?php
    foreach ($records_files as $row) {
        $fileID = $row->id;
        $ext = $fileSystem->getExtensionByFileTypeID($fileSystem->getFileTypeID($row->bankID));
        ?>
        <form id="form_<?php echo $row->id; ?>">
            <li id="listItem_<?php echo $row->id; ?>" style="border-bottom: dashed 3px silver; padding-bottom:5px">
                <div class="handle" onmousedown="setDragStyle(this, 'startDrag');" onmouseup="setDragStyle(this, 'stopDrag');" style="display:inline-block;">
                    <img src="images/arrow.png" alt="move" width="24" height="24" align="absmiddle" style="margin-bottom: -30px; position:relative; z-index:100; cursor:move">
	<span class="sort_title" onselectstart="return false;" onmousedown="return false;">	
	<div class="delete_attachment_container" style="padding-top:15px; height: 100px; overflow:hidden">
        <?php
        $title = $fileSystem->getFileTitle("files", $row->id, $linkID, $row->bankID);
        ?>
        <img src="<?php echo $domainPath . getFPath(); ?>mediabank/icons/filetype_<?php echo $ext; ?>.gif" border="0"><br>
        <span id="caption_<?php echo $row->id; ?>"><?php echo $db->getRecord("select title from content_files where fileID='$fileID' and langID='1'")->title; ?></span>
    </div>
	</span>
                </div>
                <a id="button_<?php echo $row->id; ?>" class="btn btn-info attachment_button" href="javascript:void(0)" style="float:right;margin:60px 230px 0 0;" onclick="showFields('<?php echo $row->id; ?>');"><?php echo t("Εμφάνιση στοιχείων προς επεξεργασία"); ?></a>

                <table id="record_<?php echo $row->id; ?>" border="0" cellpadding="0" cellspacing="5" class="normal attachment_record" style="float:right;margin:20px 0; display:none;">
                    <?php
                    $Lresult = $db->query("SELECT * FROM languages WHERE active=1 ");
                    $LRecords = $db->getRows($Lresult);
                    foreach ($LRecords as $Lrow) {
                        $languageID = $Lrow->id;
                        $title = $db->getRecord("select title from content_files where fileID='$fileID' and langID='$languageID'")->title;
                        $extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
                        ?>
                        <tr>
                            <td align="right" valign="top"><?php echo t("Τίτλος"); ?> <?php if ($Lrow->extension && $isMultilingualSite) {
                                    echo(' ' . t("στα") . ' ' . $Lrow->{'title' . $Lsufix});
                                } ?>:
                                <?php if ($isMultilingualSite){ ?>
                                <img style="padding:1px; border:1px solid black; margin-bottom:-7px;" src="../mediabank/flags/flag<?php echo $extension; ?>.png">
                            </td>
                            <?php
                            } ?>
                            </div>
                            <td valign="top">
                                <input name="title<?php echo $extension; ?>" type="text" class="listbox" id="title<?php echo $extension; ?>" value="<?php echo $title; ?>" style="width:100%"></td>
                        </tr>
                        <?php
                    }

                    ?>
                    <tr>
                        <td>
                            <input name="writedata" type="hidden" id="writedata" value="1">
                            <input name="attachment_section" type="hidden" value="files">
                            <input name="linkID" type="hidden" id="linkID" value="<?php echo $linkID; ?>">
                            <input name="fileID" type="hidden" id="fileID" value="<?php echo $row->id; ?>">
                            <input name="sectionID" type="hidden" id="sectionID" value="<?php echo $sectionID; ?>">
                        </td>
                        <td><input id="submit_<?php echo $row->id; ?>" type="button" class="btn btn-success" value="<?php echo t("Αποθήκευση"); ?>" onclick="saveForm('<?php echo $row->id; ?>');"></td>
                    </tr>
                </table>

                <div style="clear:both;"></div>
            </li>
        </form>
        <?php
    }
    ?>
</ul>


</div>
<div style="height:40px;"></div>
</body>
</html>
