<?php
$rootPath = "";
$counter = 0;
$file = "factory.php"; // this file is unique in root
while ($counter <= 10) {
    if (is_file($rootPath . $file)) break;
    $counter++;
    $rootPath .= "../";
}
require_once($rootPath . "factory.php");

global $langID;
$Lsufix = ((int)$langID > 1) ? "_translated" : NULL;
$variables->getSafeVars(array_keys($_REQUEST));

$token1 = "38629649";
$token2 = "73972658";
list($stage1, $token2b) = explode($token2, $_REQUEST['u']);
list($token1b, $userID) = explode($token1, $stage1);
if (empty($userID)) die("Access denied");

// lets check if the section's record belongs to this user
$section = $system->getTableSectionName($sectionID);
$uid = $db->getRecord("select userID from $section where id='$linkID'")->userID;
if ($uid <> $userID) die("Access denied");


$parameters->importParameters();

$id = (int)$_REQUEST['id'];
if ($action == "delete" && $linkID && $sectionID && $id) { // procceed to delete video record from db
    $db->query("DELETE FROM videos WHERE id='$id' and linkID='$linkID' and '$sectionID'");
    $db->query("DELETE FROM content_videos WHERE mainID='$id' ");
}

$mn = "odyssey_users";
$mp = $document->modulesPath . $mn . "/"; // $mp stands for module path
?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link href="<?php echo $rootPath; ?>admin/css/admin.css" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo $rootPath; ?>js/fancybox2/fancybox.css">
    <script src="<?php echo $rootPath; ?>js/jquery.js"></script>
    <script src="<?php echo $rootPath; ?>admin/js/admin.js"></script>
    <script src="<?php echo $rootPath; ?>js/fancybox2/fancybox.js"></script>
    <style>
        <!--
        body {
            margin: 0;
            overflow-y: auto;
            overflow-x: hidden;
            background: #ffffff;
            font-family: Verdana, sans-serif, Arial;
            font-size: 11px;
        }

        -->
    </style>
</head>
<body>
<div style="text-align:center;">
    <?php
    $query = "SELECT distinct videos.*, content_videos.title FROM videos, content_videos WHERE videos.linkID='$linkID' and videos.sectionID='$sectionID' and content_videos.mainID=videos.id and content_videos.langID='$langID' order by videos.sort";
    $rows = $db->getNumRows($query);
    $records = $db->getRecords($query);
    if (!count($records)) {
        ?>
        <script>
            parent.$('#video_instructions').css('display', 'none');
        </script>
        <div style="height:50px">&nbsp;</div>
    <?php
    $messages->addMessage(t("Δεν έχετε επισυνάψει κάποιο video σε αυτή την εγγραφή") . "!");
    $messages->printSystemMessages();
    }else{
    ?>
        <script>
            $(function () {
                $('a[data-rel="videoGallery"]').fancybox({
                    onClosed: function () {
                    },
                    'overlayOpacity': 0,
                    'overlayColor': '#000',
                    'width': '100%',
                    'height': '900',
                    'autoScale': true,
                    'transitionIn': 'elastic',
                    'transitionOut': 'elastic',
                    'type': 'iframe',
                    'showNavArrows': false,
                    'titleShow': false
                });
            });
        </script>
    <?php
    if (count($records) > 1){
    ?>
        <div id="preview_video_btn">
            <a href="preview_gallery_videos.php?linkID=<?php echo $linkID; ?>&sectionID=<?php echo $sectionID; ?>" data-rel="videoGallery">
                <img src="images/preview_video_gallery.png" width="205" height="60" alt="preview video gallery">
            </a>
        </div>
        <?php
    }
    }
    ?>
    <div id="attachments_results" style="display:inline-block; 	padding:0px; width:100%;">
        <?php
        foreach ($records as $row) {
            $videoProvider = $row->provider;
            $videoCode = $row->videoCode;
            $videoURL = $content->getVideoURL($videoProvider, $videoCode);
            $videoThumb = $content->getVideoThumb($videoProvider, $videoCode);
            $title = $row->title;
            $titleLength = mb_strlen($title, 'UTF-8');
            $limit = 60;
            $title = mb_substr($title, 0, 60, 'UTF-8');
            if ($titleLength > $limit) $title .= "...";
            ?>
            <table style="padding:0; display:inline-table; width:200px; height:230px; max-height:230px; overflow:hidden;" cellspacing="5">
                <tr>
                    <td style="padding:0; margin:0; height:131px; width:170px; text-align:center; vertical-align:middle">
                        <iframe width="156" height="129" src="<?php echo $videoURL; ?>" style="border:none"></iframe>
                    </td>
                </tr>
                <tr>
                    <td style="text-align:center; font-size:.8em;vertical-align:top"><?php echo $title; ?></td>
                </tr>
                <tr>
                    <td style="text-align:center; font-size:.8em; border-bottom:1px solid grey; height:40px !important">
                        <input type="submit" name="button" value="<?php echo t("Διαγραφή"); ?>" class="btn btn-danger" onclick="if(confirm('<?php echo t("Είστε βέβαιοι πως θέλετε να καταργήσετε αυτό το video;"); ?>')){document.location.href='?action=delete&id=<?php echo $row->id; ?>&u=<?php echo $u; ?>&linkID=<?php echo $linkID; ?>&sectionID=<?php echo $sectionID; ?>';}">
                    </td>
                </tr>
            </table>
            <?php
        }
        ?>
    </div>
</div>
</body>
</html>
